Subject: [PWE3] "Typed Wildcard FEC" format for "P2MP PW FEC element"

From: Kamran Raza <[email-masked]>
Date: Wed, 11 Jan 2012 12:50:04 -0500

Dear P2MP-PW authors,

Our draft (draft-ietf-pwe3-pw-typed-wc-fec-01) defines the format of LDP
Typed Wildcard FEC for PW FEC element types. Currently, this draft defines
format for all types of PW FECs PWid 0x80, Gen Pwid 0x81, and P2MP PW 0x82.

According to "LDP Typed Wildcard FEC" Spec RFC5918, it is the responsibility
of any "new" FEC designer to also define Typed Wildcard format for it. Since
your p2mp-pw draft is defining new FEC type P2MP PW (0x82), we think that
the better place/home for the definition of P2MP PW Typed Wildcard FEC is
your p2mp-pw draft instead of ours.

We are sending this email to check if you are okay adding the definition of
Typed WC P2MP PW FEC in your draft. This can be just a para in your doc with
pointer/reference towards our draft (if you agree with the current def), or
some extended version of our definition as you deem appropriate for your
FEC.

[ Please Note: The similar approach was taken in mLDP spec RFC 6388, which
defined new P2MP/MP2MP FEC types as well as their Typed Wildcard format ]
  
We have already spoken to PWE3 WG chairs (CC'ed here) and they are also okay
with this proposal. Please let us know so that we can update our draft to
remove P2MP PW.

Thx,

-- Kamran, Sami, Carlos

> 
> ------ Forwarded Message
> From: <[email-masked]>
> Date: Mon, 09 Jan 2012 18:36:47 -0800
> To: Syed Kamran Raza <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>, Syed Kamran Raza
> <[email-masked]>
> Subject: New Version Notification for
> draft-ietf-pwe3-pw-typed-wc-fec-01.txt
> 
> A new version of I-D, draft-ietf-pwe3-pw-typed-wc-fec-01.txt has been
> successfully submitted by Kamran Raza and posted to the IETF repository.
> 
> Filename:  draft-ietf-pwe3-pw-typed-wc-fec
> Revision:  01
> Title:   LDP Typed Wildcard FEC for the PW FEC Elements
> Creation date:  2012-01-09
> WG ID:   pwe3
> Number of pages: 8
> 
> Abstract:
>    The &quot;Typed Wildcard Forwarding Equivalence Class (FEC)
> Element&quot;
>    defines an extension to the Label Distribution Protocol (LDP) that
>    can be used when it is desired to request or withdraw or release all
>    label bindings for a given FEC Element type.  However, a typed
>    wildcard FEC element must be individually defined for each FEC
>    element type.  This specification defines the typed wildcard FEC
>    elements for the PWid (0x80), Generalized PWid (0x81), and P2MP PW
>    (0x82) FEC element types.
> 
> 
>                  
> 
> 
> The IETF Secretariat
> 

------ End of Forwarded Message

---

From: "Siva Sivabalan (msiva)" <[email-masked]>
Date: Wed, 11 Jan 2012 12:27:10 -0600

Hi Kamran,

Sure, we can add the definition of Typed WC P2MP PW FEC in the P2MP PW
draft.

Thanks,
Siva

-----Original Message-----
From: Kamran Raza (skraza) 
Sent: Wednesday, January 11, 2012 12:50 PM
To: [email-masked]; Siva Sivabalan (msiva)
Cc: [email-masked]; Malis, Andrew G (Andy);
[email-masked]; Sami Boutros (sboutros); Carlos
Pignataro (cpignata)
Subject: "Typed Wildcard FEC" format for "P2MP PW FEC element"

Dear P2MP-PW authors,

Our draft (draft-ietf-pwe3-pw-typed-wc-fec-01) defines the format of LDP
Typed Wildcard FEC for PW FEC element types. Currently, this draft
defines
format for all types of PW FECs PWid 0x80, Gen Pwid 0x81, and P2MP PW
0x82.

According to "LDP Typed Wildcard FEC" Spec RFC5918, it is the
responsibility
of any "new" FEC designer to also define Typed Wildcard format for it.
Since
your p2mp-pw draft is defining new FEC type P2MP PW (0x82), we think
that
the better place/home for the definition of P2MP PW Typed Wildcard FEC
is
your p2mp-pw draft instead of ours.

We are sending this email to check if you are okay adding the definition
of
Typed WC P2MP PW FEC in your draft. This can be just a para in your doc
with
pointer/reference towards our draft (if you agree with the current def),
or
some extended version of our definition as you deem appropriate for your
FEC.

[ Please Note: The similar approach was taken in mLDP spec RFC 6388,
which
defined new P2MP/MP2MP FEC types as well as their Typed Wildcard format
]
  
We have already spoken to PWE3 WG chairs (CC'ed here) and they are also
okay
with this proposal. Please let us know so that we can update our draft
to
remove P2MP PW.

Thx,

-- Kamran, Sami, Carlos

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 11 Jan 2012 13:36:25 -0500

Siva,

Thanks!

Kamran,

Please send a summary to the WG on moving the definition to the p2mp-pw
draft, and you can say that this has been agreed by the authors of both
drafts and the WG chairs.

Thanks,
Andy

On Wed, Jan 11, 2012 at 1:27 PM, Siva Sivabalan (msiva) <[email-masked]>wrote:

> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3
>

---

From: Kamran Raza <[email-masked]>
Date: Wed, 11 Jan 2012 13:59:49 -0500

Thanks Siva.

In summary:
1. I will update draft-ietf-pwe3-pw-typed-wc-fec-01 to remove P2MP FEC and
its references from our draft.
2. We can work together to  port this definition to p2mp-pw draft, and then
p2mp-p2 authors can update it accordingly.

Best Rgds.
-- Kamran

On 12-01-11 1:36 PM, "Andrew G. Malis" <[email-masked]> wrote:

> Siva,
> 
> Thanks!
> 
> Kamran,
> 
> Please send a summary to the WG on moving the definition to the p2mp-pw draft,
> and you can say that this has been agreed by the authors of both drafts and
> the WG chairs.
> 
> Thanks,
> Andy
> 

-- 
Syed Kamran Raza
Technical Leader, SPRSG IOS-XR Routing (MPLS)
Cisco Systems, Inc.,
Kanata, ON, K2K 3E8, Canada
Ph: +1 (613) 254-4520
http://www.cisco.com